--beginvalidatingquery
	if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[sp_DatabaseVersion]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
    begin
		 select 1, 'Upgrading database'
    end
    else
		select -1, 'Not an EPiServer database'
--endvalidatingquery

BEGIN
UPDATE [dbo].[tblContentProperty]
SET [LongString] = REPLACE([LongString], 'MAI_Connector_Database_Pardot###','Marketing_Connectors###92b2caa4Z37b0Z46dbZb5aeZ12e263565ad2_92b2caa4Z37b0Z46dbZb5aeZ12e263565ad2_'),
	[LongStringLength] = Len(REPLACE([LongString], 'MAI_Connector_Database_Pardot###','Marketing_Connectors###92b2caa4Z37b0Z46dbZb5aeZ12e263565ad2_92b2caa4Z37b0Z46dbZb5aeZ12e263565ad2_'))
WHERE [LongString] LIKE 'MAI_Connector_Database_Pardot%'

update [dbo].[tblContentProperty] 
SET [LongString] = REPLACE([LongString], 'MAI_Connector_Database_Pardot$$$','Marketing_Connectors$$$92b2caa4Z37b0Z46dbZb5aeZ12e263565ad2_92b2caa4Z37b0Z46dbZb5aeZ12e263565ad2_'),
	LongStringLength = Len(REPLACE(LongString, 'MAI_Connector_Database_Pardot$$$','Marketing_Connectors$$$92b2caa4Z37b0Z46dbZb5aeZ12e263565ad2_92b2caa4Z37b0Z46dbZb5aeZ12e263565ad2_'))
WHERE LongString LIKE 'MAI_Connector_Database_Pardot%'

update [dbo].[tblWorkContentProperty]
SET [LongString] = REPLACE([LongString], 'MAI_Connector_Database_Pardot###','Marketing_Connectors###92b2caa4Z37b0Z46dbZb5aeZ12e263565ad2_92b2caa4Z37b0Z46dbZb5aeZ12e263565ad2_')
WHERE LongString LIKE 'MAI_Connector_Database_Pardot%'

update [dbo].[tblWorkContentProperty] 
SET [LongString] = REPLACE([LongString], 'MAI_Connector_Database_Pardot$$$','Marketing_Connectors$$$92b2caa4Z37b0Z46dbZb5aeZ12e263565ad2_92b2caa4Z37b0Z46dbZb5aeZ12e263565ad2_')
WHERE [LongString] LIKE 'MAI_Connector_Database_Pardot%'
END

-- Create table to store connector version.
DECLARE @currentVersion nvarchar(10) = '4.1.0';
IF NOT EXISTS (SELECT * 
               FROM INFORMATION_SCHEMA.TABLES 
               WHERE TABLE_NAME = 'tblMarketingConnectorsVersion') 
BEGIN
CREATE TABLE [dbo].[tblMarketingConnectorsVersion] (
    [pkId]          BIGINT          IDENTITY (1, 1) NOT NULL,
	[Id]            UNIQUEIDENTIFIER NOT NULL PRIMARY KEY,
    [Name]          NVARCHAR (375)   NOT NULL,
    [Version]       NVARCHAR (50)   NOT NULL
);

INSERT INTO tblMarketingConnectorsVersion
				([Id],
				[Name],
				[Version]) VALUES ('92B2CAA4-37B0-46DB-b5AE-12E263565AD2', 'Pardot', @currentVersion);
END
ELSE
BEGIN
IF NOT EXISTS (SELECT * FROM [dbo].[tblMarketingConnectorsVersion] WHERE Id = '92B2CAA4-37B0-46DB-b5AE-12E263565AD2')

   INSERT INTO tblMarketingConnectorsVersion
				([Id],
				[Name],
				[Version]) VALUES ('92B2CAA4-37B0-46DB-b5AE-12E263565AD2', 'Pardot', @currentVersion);

ELSE

    UPDATE tblMarketingConnectorsVersion
    SET [Version] = @currentVersion
    WHERE Id = '92B2CAA4-37B0-46DB-b5AE-12E263565AD2'

END
GO
